curl --request POST \
--url https://api-sandbox.circle.com/v1/banks/wires \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
},
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
'import requests
url = "https://api-sandbox.circle.com/v1/banks/wires"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"riskSignals": {
"ipAddress": "203.0.113.42",
"sessionId": "8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c",
"deviceId": "2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f"
},
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
accountNumber: '12340010',
routingNumber: '121000248',
billingDetails: {
name: 'Satoshi Nakamoto',
city: 'Boston',
country: 'US',
line1: '100 Money Street',
postalCode: '01234',
line2: 'Suite 1',
district: 'MA'
},
bankAddress: {
country: 'US',
bankName: 'SAN FRANCISCO',
city: 'SAN FRANCISCO',
line1: '100 Money Street',
line2: 'Suite 1',
district: 'CA'
},
riskSignals: {
ipAddress: '203.0.113.42',
sessionId: '8f3b2c1a-9d4e-4f6a-b7c8-1e2d3f4a5b6c',
deviceId: '2a7d9e5f-1c3b-4a8e-9f0d-6b5c4a3e2d1f'
},
clientEntityId: 'a3f1b2c4-d5e6-7890-abcd-ef1234567890'
})
};
fetch('https://api-sandbox.circle.com/v1/banks/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"status": "pending",
"description": "WELLS FARGO BANK, NA ****0010",
"trackingRef": "<string>",
"fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z",
"type": "wire",
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"virtualAccountEnabled": false,
"ffcMemo": "<string>",
"policyEvaluation": {
"status": "approved"
}
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}{
"code": 2,
"message": "API parameter invalid.",
"externalMessage": "The provided amount exceeds the maximum allowed.",
"errors": [
{
"error": "invalid_value",
"message": "The operation and assetType combination is invalid.",
"location": "assetType"
}
]
}Create a wire bank account
Create a bank account for wire transfers.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The challengeId returned by POST /v1/accounts/passkeys/challenges. Required for end users under EEA/FR legal entities (PSD2 SCA). Omit for all other end users.
"b2c3d4e5-f6a7-8901-bc23-def456789012"
The signed assertion string returned by the DAA web SDK's sca.approve method. Required for end users under EEA/FR legal entities (PSD2 SCA). Pass the value through unchanged — do not base64-encode or re-serialize it.
Body
- US Bank Account
- Non US Bank Account - IBAN Supported
- Non US Bank Account - IBAN Not Supported
Request object used to create a bank account for wire transfers. Wraps the standard wire creation request with an optional clientEntityId for 3rd-party flows.
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
Account number that identifies the bank account.
6 - 35"12340010"
ABA routing number for the bank account.
"121000248"
Show child attributes
Show child attributes
The address details for the bank, as provided during bank account creation.
Show child attributes
Show child attributes
Risk metadata for the end user initiating the request. All three fields must be present.
deviceId must be the identifier returned by checkDevice() in the @circle-fin/device-checks SDK. Circle resolves it against the device check that produced it, so an identifier you generate yourself does not resolve. When it does not resolve, the request is accepted and then declined: the endpoint returns 201, and the transaction later settles as failed with errorCode transfer_denied. See Collect device risk signals.
Show child attributes
Show child attributes
Identifier of the client entity. Required for 3rd-party flows.
"a3f1b2c4-d5e6-7890-abcd-ef1234567890"
Response
Successfully created a bank account for wire transfers.
A wire bank account summary.
Show child attributes
Show child attributes
Was this page helpful?